在使用下面的脚本创建新的聚合目标后,我得到了这些错误:
错误:
oclint not found, analyzing stopped
Command /bin/sh failed with exit code 1运行脚本Shell: /bin/sh
脚本:
source ~/.bash_profile
hash oclint &> /dev/null
if [ $? -eq 1 ]; then
echo >&2 "oclint not found, analyzing stopped"
exit 1
fi
cd ${TARGET_TEMP_DIR}
if [ ! -f compile_commands.json ]; then
echo "[*] compile_commands.json not found, possibly clean was performed"
echo "[*] starting xcodebuild to rebuild the project.."
# clean previous output
if [ -f xcodebuild.log ]; then
rm xcodebuild.log
fi
cd ${SRCROOT}
xcodebuild clean
#build xcodebuild.log
xcodebuild | tee ${TARGET_TEMP_DIR}/xcodebuild.log
#xcodebuild <options>| tee ${TARGET_TEMP_DIR}/xcodebuild.log
echo "[*] transforming xcodebuild.log into compile_commands.json..."
cd ${TARGET_TEMP_DIR}
#transform it into compile_commands.json
oclint-xcodebuild
echo "[*] copy compile_commands.json to the project root..."
cp ${TARGET_TEMP_DIR}/compile_commands.json ${SRCROOT}/compile_commands.json
fi
echo "[*] starting analyzing"
cd ${TARGET_TEMP_DIR}
oclint-json-compilation-database | sed 's/\(.*\.\m\{1,2\}:[0-9]*:[0-9]*:\)/\1 warning:/'是否必须将xcode默认脚本更改为bash?我该怎么做?
发布于 2015-05-08 14:13:32
你的道路上没有OCLint。要在您的路径中获得OCLint,可以尝试删除
source ~/.bash_profile代之以
OCLINT_HOME= **path to OClint downloaded and extracted folder**
export PATH=$OCLINT_HOME/bin:$PATH您可以试用此链接以获得帮助:https://stackoverflow.com/a/30053104/3141464
https://stackoverflow.com/questions/30124799
复制相似问题